<?php
/**
 * Archive Pages
 *
 * @package Agency
 */

$menus['blog-archive'] = array(
	'icon'  => 'fa-archive',
	'title' => esc_html__( 'Archives', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'agency' ),
);

$sections['blog-archive'] = array(
	array(
		'id'    => 'archive_post_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Post Font', 'agency' ),
	),
	array(
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Post Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '20px',
			'line-height'   => '26px',
			'color'         => '#172b4d',
			'css-selectors' => '.latestPost .title a, .archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		),
	),
	array(
		'id'    => 'archive_post_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Excerpt Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Post Excerpt Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'margin-top'    => '6px',
			'line-height'   => '25px',
			'color'         => '#6c798f',
			'css-selectors' => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		),
	),
	array(
		'id'    => 'archive_meta_info_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Meta Info', 'agency' ),
	),
	array(
		'id'       => 'archive_post_categories',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Post Categories', 'agency' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide Post Categories.', 'agency' ),
		'std'      => '1',
	),
	array(
		'id'       => 'archive_post_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Post Meta Info', 'agency' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on archive pages', 'agency' ),
		'options'  => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'user-o',
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'calendar',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'folder-o',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'user-o',
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'calendar',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'folder-o',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
	),
	array(
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '12px',
			'margin-bottom'  => '27px',
			'color'          => '#fe6261',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive .latestPost .post-info, .archive .latestPost .post-info a, .search .latestPost .post-info, .search .latestPost .post-info a',
		),
	),
);
