<?php
/**
 * HomePage Pagination
 *
 * @package Agency
 */

$menus['blog']['child']['blog-pagination'] = array(
	'title' => esc_html__( 'Pagination', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of pagination.', 'agency' ),
);

// Dependency check - Default and Numbered pagination.
$default_pagination_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_pagenavigation_type',
		'value'      => '2',
		'comparison' => '!=',
	),
);

// Dependency check the load more button.
$loadmore_button_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_pagenavigation_type',
		'value'      => '2',
		'comparison' => '==',
	),
);

$sections['blog-pagination'] = array(

	array(
		'id'       => 'mts_pagenavigation_type',
		'type'     => 'radio',
		'title'    => esc_html__( 'Pagination Type', 'agency' ),
		'sub_desc' => esc_html__( 'Select pagination type.', 'agency' ),
		'options'  => array(
			'0' => esc_html__( 'Default (Next / Previous)', 'agency' ),
			'1' => esc_html__( 'Numbered (1 2 3 4...)', 'agency' ),
			'2' => esc_html__( 'AJAX (Load More Button)', 'agency' ),
			'3' => esc_html__( 'AJAX (Auto Infinite Scroll)', 'agency' ),
		),
		'std'      => '1',
	),

	array(
		'id'         => 'pagenavigation_alignment',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Pagination Alignment', 'agency' ),
		'sub_desc'   => esc_html__( 'Choose pagination alignment from here.', 'agency' ),
		'options'    => array(
			'left'   => esc_html__( 'Left', 'agency' ),
			'center' => esc_html__( 'Center', 'agency' ),
			'right'  => esc_html__( 'Right', 'agency' ),
		),
		'std'        => 'center',
		'dependency' => $default_pagination_dependency,
	),

	array(
		'id'         => 'load_more_alignment',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Load More Alignment', 'agency' ),
		'sub_desc'   => esc_html__( 'Choose the load more alignment from here.', 'agency' ),
		'options'    => array(
			'left'   => esc_html__( 'Left', 'agency' ),
			'center' => esc_html__( 'Center', 'agency' ),
			'right'  => esc_html__( 'Right', 'agency' ),
			'full'   => esc_html__( 'Full Width', 'agency' ),
		),
		'std'        => 'center',
		'dependency' => $loadmore_button_dependency,
	),

	array(
		'id'         => 'mts_pagenavigation_bgcolor',
		'type'       => 'color',
		'title'      => esc_html__( 'Pagination background color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select pagination background color.', 'agency' ),
		'std'        => '#ebecf0',
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_bgcolor',
		'type'       => 'color',
		'title'      => esc_html__( 'Load More background color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select background color for load more button.', 'agency' ),
		'std'        => '#ebecf0',
		'dependency' => $loadmore_button_dependency,
	),

	array(
		'id'         => 'mts_pagenavigation_hover_bgcolor',
		'type'       => 'background',
		'title'      => esc_html__( 'Pagination background hover color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select pagination background hover color.', 'agency' ),
		'options'    => array(
			'color'         => false,            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => false,            // false to disable, not needed otherwise.
			'repeat'        => false,       // false to disable, array of options to override default ( optional ).
			'attachment'    => false,       // false to disable, array of options to override default ( optional ).
			'position'      => false,       // false to disable, array of options to override default ( optional ).
			'size'          => false,       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => false,       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'gradient'      => array(
				'from'      => '#f47c30',
				'to'        => '#fe6261',
				'direction' => '-60deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $default_pagination_dependency,
	),

	array(
		'id'         => 'load_more_hover_bgcolor',
		'type'       => 'background',
		'title'      => esc_html__( 'Load More background hover color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select load more background hover color.', 'agency' ),
		'options'    => array(
			'color'         => false,            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => false,            // false to disable, not needed otherwise.
			'repeat'        => false,       // false to disable, array of options to override default ( optional ).
			'attachment'    => false,       // false to disable, array of options to override default ( optional ).
			'position'      => false,       // false to disable, array of options to override default ( optional ).
			'size'          => false,       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => false,       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'gradient'      => array(
				'from'      => '#f47c30',
				'to'        => '#fe6261',
				'direction' => '-60deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $loadmore_button_dependency,
	),

	array(
		'id'         => 'mts_pagenavigation_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Pagination color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select pagination color.', 'agency' ),
		'std'        => '#253858',
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Load More color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select color for load more button.', 'agency' ),
		'std'        => '#253858',
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'         => 'mts_pagenavigation_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Pagination hover color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select pagination hover color.', 'agency' ),
		'std'        => '#ffffff',
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Load More hover color', 'agency' ),
		'sub_desc'   => esc_html__( 'Select hover color for load more button.', 'agency' ),
		'std'        => '#ffffff',
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'       => 'mts_pagenavigation_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Pagination Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Update pagination margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '6px',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'         => 'mts_pagenavigation_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Pagination Padding', 'agency' ),
		'sub_desc'   => esc_html__( 'Update pagination padding from here.', 'agency' ),
		'std'        => array(
			'top'    => '13px',
			'right'  => '11px',
			'bottom' => '13px',
			'left'   => '11px',
		),
		'dependency' => $default_pagination_dependency,
	),
	array(
		'id'         => 'load_more_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Load More Padding', 'agency' ),
		'sub_desc'   => esc_html__( 'Update padding for load more button from here.', 'agency' ),
		'std'        => array(
			'top'    => '20px',
			'right'  => '30px',
			'bottom' => '17px',
			'left'   => '30px',
		),
		'dependency' => $loadmore_button_dependency,
	),
	array(
		'id'       => 'mts_pagenavigation_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Pagination border radius', 'agency' ),
		'sub_desc' => esc_html__( 'Update pagination border radius in px.', 'agency' ),
		'std'      => '2',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'pagenavigation_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'agency' ),
		'sub_desc' => esc_html__( 'Select border', 'agency' ),
	),
	array(
		'id'    => 'pagination_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Pagination', 'agency' ),
		'color' => false,
		'std'   => array(
			'preview-text'  => 'Pagination',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'css-selectors' => '.pagination, #load-posts a',
		),
	),

);
