<?php
/**
 * Footer Subscribe
 *
 * @package Agency
 */

$menus['footer']['child']['footer-subscribe'] = array(
	'title' => esc_html__( 'Subscribe Box', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the Footer Subscribe Section.', 'agency' ),
);

$footer_subscribe_section = array(
	'relation' => 'and',
	array(
		'field'      => 'footer_subscribe_section',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-subscribe'] = array(

	array(
		'id'       => 'footer_subscribe_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Footer Subscribe Section', 'agency' ),
		'sub_desc' => esc_html__( 'Enable or disable footer subscribe section with this option.', 'agency' ),
		'std'      => '1',
	),

	array(
		'id'         => 'footer_subscribe_location',
		'type'       => 'button_set',
		'class'      => 'green',
		'title'      => esc_html__( 'Show Footer Subscribe On', 'agency' ),
		'sub_desc'   => wp_kses( __( 'Choose where you want to show the <strong>Footer Subscribe</strong>', 'agency' ), array( 'strong' => '' ) ),
		'options'    => array(
			'all'    => esc_html__( 'All Pages', 'agency' ),
			'home'   => esc_html__( 'Home Page', 'agency' ),
			'blog'   => esc_html__( 'Blog Page', 'agency' ),
			'single' => esc_html__( 'Single Page', 'agency' ),
			'page'   => esc_html__( 'Pages', 'agency' ),
			'both'   => esc_html__( 'Blog and Single Page', 'agency' ),
		),
		'std'        => 'home',
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'       => 'footer_subscribe_big_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Big Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter big title for subscribe section.', 'agency' ),
		'std'      => 'Contact',
	),

	array(
		'id'         => 'footer_typo_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Typography Settings', 'agency' ),
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'    => 'footer_subscribe_big_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Big Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Contact',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '900',
			'font-size'      => '80px',
			'color'          => '#6f6877',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.footer-subscribe-section header .big-title',
		),
	),

	array(
		'id'         => 'footer_subscribe_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Title Typography', 'agency' ),
		'std'        => array(
			'preview-text'   => 'Get in Touch',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '14px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.footer-subscribe-section .widget #wp-subscribe .title',
		),
		'dependency' => $footer_subscribe_section,
	),
	array(
		'id'         => 'footer_subscribe_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Text Typography', 'agency' ),
		'std'        => array(
			'preview-text'  => 'Lets create something awesome together',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '26px',
			'color'         => '#ffffff',
			'css-selectors' => '.footer-subscribe-section .widget #wp-subscribe p.text',
		),
		'dependency' => $footer_subscribe_section,
	),
	array(
		'id'         => 'footer_subscribe_input_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Input Fields Typography', 'agency' ),
		'std'        => array(
			'preview-text'  => 'email@examples.com',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#b3bac5',
			'css-selectors' => '.footer-subscribe-section #wp-subscribe input.email-field, .footer-subscribe-section #wp-subscribe input.name-field',
		),
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'         => 'footer_subscribe_small_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Small Text Typography', 'agency' ),
		'std'        => array(
			'preview-text'  => 'Small Text Font',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#ffffff',
			'css-selectors' => '.footer-subscribe-section .wp-subscribe-wrap p.footer-text, .footer-subscribe-section .widget .wp-subscribe .wps-consent-wrapper label',
		),
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'         => 'footer_styling_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Styling Settings', 'agency' ),
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'         => 'footer_subscribe_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Background', 'agency' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image for footer subscribe container from here.', 'agency' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/footer-subscribe-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => '',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'         => 'footer_subscribe_input_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Input Fields Background Color', 'agency' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'agency' ),
		'std'        => '#ffffff',
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'         => 'footer_subscribe_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Section Margin', 'agency' ),
		'sub_desc'   => esc_html__( 'Set footer subscribe section margin from here.', 'agency' ),
		'left'       => false,
		'right'      => false,
		'std'        => array(
			'top'    => '100px',
			'bottom' => '0',
		),
		'dependency' => $footer_subscribe_section,
	),

	array(
		'id'         => 'footer_subscribe_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Section Padding', 'agency' ),
		'sub_desc'   => esc_html__( 'Set footer subscribe section padding from here.', 'agency' ),
		'std'        => array(
			'top'    => '102px',
			'right'  => '0',
			'bottom' => '191px',
			'left'   => '0',
		),
		'dependency' => $footer_subscribe_section,
	),
);
