<?php
/**
 * Header Styling
 *
 * @package Agency
 */

$menus['header']['child']['header-Styling'] = array(
	'title' => esc_html__( 'Styling', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header styling.', 'agency' ),
);

$default_header_only = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '!=',
	),
);

$sections['header-Styling'] = array(

	array(
		'id'       => 'header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Header Background', 'agency' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'agency' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'agency' ),
		'std'      => '#172b4d',
	),
	array(
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'agency' ),
		'sub_desc' => esc_html__( 'Select dropdown text hover color for main navigation from here.', 'agency' ),
		'std'      => agency_get_settings( 'primary_color_scheme' ),
	),

);
