<?php
/**
 * Header Tab
 *
 * @package Agency
 */

$menus['header'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'agency' ),
);

$menus['header']['child']['header-general'] = array(
	'title' => esc_html__( 'General', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'agency' ),
);

$header_2_only = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	),
);

$sections['header-general'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'agency' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'agency' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'         => 'header_search',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show/Hide Search Box', 'agency' ),
		'sub_desc'   => wp_kses( __( 'Use this button to Show or Hide <strong>Search Box</strong> in header.', 'agency' ), array( 'strong' => '' ) ),
		'std'        => '1',
		'dependency' => $header_2_only,
	),

	array(
		'id'    => 'header_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Button Settings', 'agency' ),
	),

	array(
		'id'       => 'nav_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Button', 'agency' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Nav Button</strong> completely.', 'agency' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'         => 'nav_button_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Button Text', 'agency' ),
		'sub_desc'   => esc_html__( 'Enter button text.', 'agency' ),
		'std'        => 'Get a Quote',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'nav_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'nav_button_url',
		'type'       => 'text',
		'title'      => esc_html__( 'Button URL', 'agency' ),
		'sub_desc'   => esc_html__( 'Enter button URL.', 'agency' ),
		'std'        => 'https://mythemeshop.com/themes/agency/',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'nav_button',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'agency' ),
	),

	array(
		'id'       => 'sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'agency' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'agency' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'agency' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'       => 'hide_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Logo', 'agency' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'agency' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'agency' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'agency' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '28px',
			'bottom' => '28px',
		),
	),

	array(
		'id'       => 'header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'agency' ),
		'sub_desc' => esc_html__( 'Select border.', 'agency' ),
	),

	array(
		'id'    => 'header_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header Nav Settings', 'agency' ),
	),

	array(
		'id'       => 'header_nav_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Nav Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set nav padding from here.', 'agency' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),

);
