<?php
/**
 * HomePage Counter Section
 *
 * @package Agency
 */

$menus['homepage']['child']['homepage-counter'] = array(
	'title' => esc_html__( 'Counter', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Counter Section.', 'agency' ),
);

$sections['homepage-counter'] = array(

	array(
		'id'    => 'counter_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Counter Settings', 'agency' ),
	),
	array(
		'id'        => 'counter_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Counters', 'agency' ),
		'sub_desc'  => esc_html__( 'Customize the Counters from here.', 'agency' ),
		'groupname' => esc_html__( 'Counter', 'agency' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'counter_text',
				'type'  => 'text',
				'title' => esc_html__( 'Small Text', 'agency' ),
			),
			array(
				'id'    => 'counter_prefix',
				'type'  => 'text',
				'title' => esc_html__( 'Add Prefix', 'agency' ),
			),
			array(
				'id'    => 'counter_number',
				'type'  => 'text',
				'title' => esc_html__( 'Number', 'agency' ),
			),
			array(
				'id'       => 'counter_gradient',
				'type'     => 'background',
				'title'    => esc_html__( 'Background Gradient', 'agency' ),
				'sub_desc' => esc_html__( 'Set background Gradient from here.', 'agency' ),
				'options'  => array(
					'color'         => false,            // false to disable, not needed otherwise.
					'image_pattern' => false, // false to disable, array of options otherwise ( required !!! ).
					'image_upload'  => false,            // false to disable, not needed otherwise.
					'repeat'        => false,       // false to disable, array of options to override default ( optional ).
					'attachment'    => false,       // false to disable, array of options to override default ( optional ).
					'position'      => false,       // false to disable, array of options to override default ( optional ).
					'size'          => false,       // false to disable, array of options to override default ( optional ).
					'gradient'      => '',            // false to disable, not needed otherwise.
					'parallax'      => false,       // false to disable, array of options to override default ( optional ).
				),
			),
			array(
				'id'    => 'counter_border_radius',
				'type'  => 'text',
				'title' => esc_html__( 'Border Radius', 'agency' ),
			),
			array(
				'id'       => 'counter_height',
				'type'     => 'text',
				'class'    => 'small-text',
				'title'    => esc_html__( 'Height', 'agency' ),
				'sub_desc' => esc_html__( 'Enter height of counter box.', 'agency' ),
				'args'     => array( 'type' => 'number' ),
			),
			array(
				'id'    => 'counter_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Margin', 'agency' ),
			),
			array(
				'id'    => 'counter_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Padding', 'agency' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'           => '1',
				'group_sort'            => '1',
				'counter_text'          => 'Global Customer',
				'counter_prefix'        => '+',
				'counter_number'        => '1234',
				'counter_gradient'      => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#fe6261',
						'to'        => '#f9763c',
						'direction' => '131deg',
					),
					'parallax' => '0',
				),
				'counter_border_radius' => '4px 0 0 4px',
				'counter_height'        => '230',
				'counter_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'counter_padding'       => array(
					'top'    => '20px',
					'right'  => '20px',
					'bottom' => '20px',
					'left'   => '20px',
				),
			),
			'2' => array(
				'group_title'           => '2',
				'group_sort'            => '2',
				'counter_text'          => 'Project Completed',
				'counter_prefix'        => '+',
				'counter_number'        => '1234',
				'counter_gradient'      => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#49394e',
						'to'        => '#505f79',
						'direction' => '-60deg',
					),
					'parallax' => '0',
				),
				'counter_border_radius' => '4px 0 0 4px',
				'counter_height'        => '250',
				'counter_margin'        => array(
					'top'    => '40px',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '20px',
				),
				'counter_padding'       => array(
					'top'    => '20px',
					'right'  => '20px',
					'bottom' => '20px',
					'left'   => '20px',
				),
			),
			'3' => array(
				'group_title'           => '3',
				'group_sort'            => '3',
				'counter_text'          => 'Team Member',
				'counter_prefix'        => '+',
				'counter_number'        => '1234',
				'counter_gradient'      => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#49394e',
						'to'        => '#505f79',
						'direction' => '-60deg',
					),
					'parallax' => '0',
				),
				'counter_border_radius' => '4px 0 0 4px',
				'counter_height'        => '200',
				'counter_margin'        => array(
					'top'    => '-40px',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'counter_padding'       => array(
					'top'    => '20px',
					'right'  => '20px',
					'bottom' => '20px',
					'left'   => '20px',
				),
			),
			'4' => array(
				'group_title'           => '4',
				'group_sort'            => '4',
				'counter_text'          => 'Company in us',
				'counter_prefix'        => '+',
				'counter_number'        => '1234',
				'counter_gradient'      => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#fe6261',
						'to'        => '#f9763c',
						'direction' => '131deg',
					),
					'parallax' => '0',
				),
				'counter_border_radius' => '4px 0 0 4px',
				'counter_height'        => '230',
				'counter_margin'        => array(
					'top'    => '20px',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '20px',
				),
				'counter_padding'       => array(
					'top'    => '20px',
					'right'  => '20px',
					'bottom' => '20px',
					'left'   => '20px',
				),
			),
		),
	),

	array(
		'id'    => 'counter_content_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Content Settings', 'agency' ),
	),

	array(
		'id'       => 'counter_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Small Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter small title for counter section.', 'agency' ),
		'std'      => 'Our Experience',
	),
	array(
		'id'       => 'counter_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter title for counter section.', 'agency' ),
		'std'      => 'We have completed 150+ projects succesfully',
	),

	array(
		'id'       => 'counter_content',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Content', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for counter section.', 'agency' ),
		'std'      => 'We believe that designing products and services in close partnership with our clients is the only way to have a real impact on their business .We believe that designing partnership with our clients is the only way to have a real impact on their business.',
	),

	array(
		'id'       => 'counter_button_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Button Text', 'agency' ),
		'sub_desc' => esc_html__( 'Enter button text.', 'agency' ),
		'std'      => 'Get an Estimate',
	),
	array(
		'id'       => 'counter_button_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Button URL', 'agency' ),
		'sub_desc' => esc_html__( 'Enter button URL.', 'agency' ),
		'std'      => '#',
	),

	array(
		'id'       => 'counter_content_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Content Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set counter content padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '67px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'counter_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'agency' ),
	),

	array(
		'id'    => 'counter_number_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Counter Number Font', 'agency' ),
		'std'   => array(
			'preview-text'  => '+1234',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '40px',
			'color'         => '#ffffff',
			'css-selectors' => '.counter-section .counter-number',
		),
	),
	array(
		'id'    => 'counter_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Counter Small Text Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Global Customer',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '14px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.counter-section .small-text',
		),
	),

	array(
		'id'    => 'counter_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Small Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Our Experience',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '14px',
			'color'          => '#fe6261',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.counter-section .small-title',
		),
	),

	array(
		'id'    => 'counter_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'We have completed 150+ projects succesfully',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '27px',
			'line-height'   => '40px',
			'margin-top'    => '7px',
			'color'         => '#172b4d',
			'css-selectors' => '.counter-section h2',
		),
	),

	array(
		'id'    => 'counter_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'We believe that designing products and services in close partnership with our clients is the only way to have a real impact on their business .We believe that designing partnership with our clients is the only way to have a real impact on their business.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'margin-top'    => '6px',
			'color'         => '#6c798f',
			'css-selectors' => '.counter-section p',
		),
	),

	array(
		'id'    => 'counter_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'agency' ),
	),

	array(
		'id'       => 'counter_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Counter Background', 'agency' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/counter-bg.png',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center center',
			'size'          => '',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'counter_section_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set counter section margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '12px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'counter_section_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set counter section padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '130px',
			'right'  => '0',
			'bottom' => '105px',
			'left'   => '0',
		),
	),

);
