<?php
/**
 * HomePage Feature Section
 *
 * @package Agency
 */

$menus['homepage']['child']['homepage-feature'] = array(
	'title' => esc_html__( 'Feature', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Feature Section.', 'agency' ),
);

$sections['homepage-feature'] = array(

	array(
		'id'        => 'feature_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Features', 'agency' ),
		'sub_desc'  => esc_html__( 'Customize the Features from here.', 'agency' ),
		'groupname' => esc_html__( 'Feature', 'agency' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'feature_small_title',
				'type'  => 'text',
				'title' => esc_html__( 'Small Title', 'agency' ),
			),
			array(
				'id'    => 'feature_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'agency' ),
			),
			array(
				'id'    => 'feature_content',
				'type'  => 'textarea',
				'title' => esc_html__( 'Content', 'agency' ),
			),
			array(
				'id'    => 'feature_content_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Content Padding', 'agency' ),
			),
			array(
				'id'       => 'feature_alignment',
				'type'     => 'select',
				'title'    => esc_html__( 'Alignment', 'agency' ),
				'sub_desc' => esc_html__( 'Choose content and image alignment type to show in the Feature Section', 'agency' ),
				'options'  => array(
					'left'  => esc_html__( 'Content - Image', 'agency' ),
					'right' => esc_html__( 'Image - Content', 'agency' ),
				),
			),

			array(
				'id'       => 'feature_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Feature Background Image', 'agency' ),
				'sub_desc' => esc_html__( 'Select an image file for your feature area.', 'agency' ),
				'return'   => 'url',
			),
			array(
				'id'         => 'img_position_left',
				'type'       => 'margin',
				'title'      => esc_html__( 'Image Position', 'agency' ),
				'sub_desc'   => esc_html__( 'Set image position from here.', 'agency' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'feature_alignment',
						'value'      => 'left',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'         => 'img_position_right',
				'type'       => 'margin',
				'title'      => esc_html__( 'Image Position', 'agency' ),
				'sub_desc'   => esc_html__( 'Set image position from here.', 'agency' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'feature_alignment',
						'value'      => 'right',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'       => 'feature_button_type',
				'type'     => 'select',
				'title'    => esc_html__( 'Button Type', 'agency' ),
				'sub_desc' => esc_html__( 'Choose button type to show in the Feature Section', 'agency' ),
				'options'  => array(
					'button' => esc_html__( 'Button', 'agency' ),
					'video'  => esc_html__( 'YouTube Video', 'agency' ),
				),
			),
			array(
				'id'    => 'feature_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'agency' ),
			),
			array(
				'id'         => 'feature_button_url',
				'type'       => 'text',
				'title'      => esc_html__( 'Button URL', 'agency' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'feature_button_type',
						'value'      => 'button',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'         => 'feature_youtube_id',
				'type'       => 'text',
				'title'      => esc_html__( 'YouTube Video ID', 'agency' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'feature_button_type',
						'value'      => 'video',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'    => 'feature_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Section Margin', 'agency' ),
			),
			array(
				'id'    => 'feature_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Section Padding', 'agency' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'             => '1',
				'group_sort'              => '1',
				'feature_title'           => 'We develop digital strategies products and services.',
				'feature_small_title'     => 'About us',
				'feature_content'         => 'We believe that designing products and services in close partnership with our clients is the only way to have a real impact on their business.',
				'feature_content_padding' => array(
					'top'    => '122px',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'feature_alignment'       => 'right',
				'feature_image'           => get_template_directory_uri() . '/images/feature-1.png',
				'feature_button_type'     => 'video',
				'img_position_left'       => array(
					'top'    => '0',
					'right'  => '-160px',
					'bottom' => 'auto',
					'left'   => 'auto',
				),
				'img_position_right'      => array(
					'top'    => '0',
					'right'  => 'auto',
					'bottom' => 'auto',
					'left'   => '-160px',
				),
				'feature_button_text'     => 'Check How we work together',
				'feature_button_url'      => '#',
				'feature_youtube_id'      => 'ePLajxLpUNk',
				'feature_margin'          => array(
					'top'    => '43px',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'feature_padding'         => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '136px',
					'left'   => '0',
				),
			),
			'2' => array(
				'group_title'             => '2',
				'group_sort'              => '2',
				'feature_title'           => 'We Create Beautiful Designs for Businesses to Succeed',
				'feature_small_title'     => 'Work Process',
				'feature_content'         => 'Synergistically provide access to progressive scenarios through standards compliant products. Rapidiously initiate granular quality vectors via dynamic content. Authoritatively disintermediate high-payoff e-markets for multifunctional innovation.',
				'feature_content_padding' => array(
					'top'    => '98px',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'feature_alignment'       => 'left',
				'feature_image'           => get_template_directory_uri() . '/images/feature-2.png',
				'feature_button_type'     => 'button',
				'img_position_left'       => array(
					'top'    => '0',
					'right'  => '-160px',
					'bottom' => 'auto',
					'left'   => 'auto',
				),
				'img_position_right'      => 'video',
				''                        => array(
					'top'    => '0',
					'right'  => 'auto',
					'bottom' => 'auto',
					'left'   => '-160px',
				),
				'feature_button_text'     => 'Start a project',
				'feature_button_url'      => '#',
				'feature_youtube_id'      => 'ePLajxLpUNk',
				'feature_margin'          => array(
					'top'    => '132px',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'feature_padding'         => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '136px',
					'left'   => '0',
				),
			),
		),
	),

	array(
		'id'    => 'feature_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'agency' ),
	),

	array(
		'id'    => 'feature_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Small Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'About us',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '14px',
			'color'          => '#fe6261',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.feature-section .small-title',
		),
	),

	array(
		'id'    => 'feature_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'We develop digital strategies products and services.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '26px',
			'line-height'   => '40px',
			'margin-top'    => '5px',
			'color'         => '#172b4d',
			'css-selectors' => '.feature-section h2',
		),
	),

	array(
		'id'    => 'feature_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'We believe that designing products and services in close partnership with our clients is the only way to have a real impact on their business.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '26px',
			'margin-top'    => '7px',
			'color'         => '#6c798f',
			'css-selectors' => '.feature-section p',
		),
	),

	array(
		'id'    => 'feature_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Feature Styling Settings', 'agency' ),
	),

	array(
		'id'       => 'feature_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Feature Background', 'agency' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

);
