<?php
/**
 * HomePage Featured Section
 *
 * @package Agency
 */

$menus['homepage']['child']['homepage-featured'] = array(
	'title' => esc_html__( 'Featured', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Featured Section.', 'agency' ),
);

$sections['homepage-featured'] = array(

	array(
		'id'       => 'featured_title',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter title for featured section.', 'agency' ),
		'std'      => 'Leading the way in creative digital professional Agency.',
	),
	array(
		'id'    => 'featured_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Leading the way in creative digital professional Agency.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '50px',
			'line-height'   => '75px',
			'margin-top'    => '115px',
			'color'         => '#172b4d',
			'css-selectors' => '.featured-section h2',
		),
	),

	array(
		'id'       => 'featured_content',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Content', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for featured section.', 'agency' ),
		'std'      => 'We know that good design means good business.',
	),
	array(
		'id'    => 'featured_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'We know that good design means good business.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '22px',
			'margin-top'    => '21px',
			'color'         => '#6c798f',
			'css-selectors' => '.featured-section p',
		),
	),

	array(
		'id'       => 'featured_button_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Button Text', 'agency' ),
		'sub_desc' => esc_html__( 'Enter button text.', 'agency' ),
		'std'      => 'Start a project',
	),
	array(
		'id'       => 'featured_button_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Button URL', 'agency' ),
		'sub_desc' => esc_html__( 'Enter button URL.', 'agency' ),
		'std'      => '#',
	),

	array(
		'id'    => 'featured_image_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Featured Image Settings', 'agency' ),
	),

	array(
		'id'       => 'featured_image',
		'type'     => 'upload',
		'title'    => esc_html__( 'Featured Background Image', 'agency' ),
		'sub_desc' => esc_html__( 'Select an image file for your featured area.', 'agency' ),
		'return'   => 'url',
		'std'      => get_template_directory_uri() . '/images/featured.png',
	),

	array(
		'id'    => 'featured_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Featured Styling Settings', 'agency' ),
	),

	array(
		'id'       => 'featured_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Featured Background', 'agency' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'featured_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set featured section margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '43px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'featured_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set featured section padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '223px',
			'left'   => '0',
		),
	),

);
