<?php
/**
 * HomePage Services Section
 *
 * @package Agency
 */

$menus['homepage']['child']['homepage-services'] = array(
	'title' => esc_html__( 'Services', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Services Section.', 'agency' ),
);

$sections['homepage-services'] = array(

	array(
		'id'    => 'services_top_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Top Services Settings', 'agency' ),
	),

	array(
		'id'       => 'services_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Small Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter title for services section.', 'agency' ),
		'std'      => 'Why Us',
	),
	array(
		'id'    => 'services_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Small Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Why Us',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '68px',
			'color'          => '#fe6261',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.services-section header .small-title',
		),
	),

	array(
		'id'       => 'services_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for services section.', 'agency' ),
		'std'      => 'We Grow Your Business',
	),
	array(
		'id'    => 'services_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'We Grow Your Business',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '27px',
			'color'         => '#172b4d',
			'css-selectors' => '.services-section header h2',
		),
	),

	array(
		'id'       => 'services_big_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Big Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter big title for services section.', 'agency' ),
		'std'      => 'Service',
	),
	array(
		'id'    => 'services_big_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Big Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Service',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '900',
			'font-size'      => '80px',
			'color'          => '#ebecf0',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.services-section header .big-title',
		),
	),

	array(
		'id'    => 'services_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Services Settings', 'agency' ),
	),

	array(
		'id'        => 'services_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Services', 'agency' ),
		'sub_desc'  => esc_html__( 'Customize the Services from here.', 'agency' ),
		'groupname' => esc_html__( 'Service', 'agency' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'service_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'agency' ),
			),
			array(
				'id'    => 'service_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Title Color', 'agency' ),
			),
			array(
				'id'    => 'service_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'agency' ),
			),
			array(
				'id'    => 'service_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Text Color', 'agency' ),
			),
			array(
				'id'    => 'service_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Select Icon', 'agency' ),
			),
			array(
				'id'    => 'service_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Icon Color', 'agency' ),
			),
			array(
				'id'    => 'service_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Link Text', 'agency' ),
			),
			array(
				'id'    => 'service_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Link URL', 'agency' ),
			),
			array(
				'id'    => 'service_button_color',
				'type'  => 'color',
				'title' => esc_html__( 'Link Color', 'agency' ),
			),
			array(
				'id'       => 'service_gradient',
				'type'     => 'background',
				'title'    => esc_html__( 'Background Gradient', 'agency' ),
				'sub_desc' => esc_html__( 'Set background Gradient from here.', 'agency' ),
				'options'  => array(
					'color'         => false,            // false to disable, not needed otherwise.
					'image_pattern' => false, // false to disable, array of options otherwise ( required !!! ).
					'image_upload'  => false,            // false to disable, not needed otherwise.
					'repeat'        => false,       // false to disable, array of options to override default ( optional ).
					'attachment'    => false,       // false to disable, array of options to override default ( optional ).
					'position'      => false,       // false to disable, array of options to override default ( optional ).
					'size'          => false,       // false to disable, array of options to override default ( optional ).
					'gradient'      => '',            // false to disable, not needed otherwise.
					'parallax'      => false,       // false to disable, array of options to override default ( optional ).
				),
			),
			array(
				'id'    => 'service_list_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Margin', 'agency' ),
			),
			array(
				'id'    => 'service_list_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Padding', 'agency' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'          => '1',
				'group_sort'           => '1',
				'service_icon'         => 'bullhorn',
				'service_icon_color'   => agency_get_settings( 'primary_color_scheme' ),
				'service_title'        => 'Digital Marketing',
				'service_title_color'  => '#172b4d',
				'service_text'         => 'Stop tearing your hair out over seemingly incomprehensible analytics reports. We’ll set them up for you the right way.',
				'service_text_color'   => '#6c798f',
				'service_button_text'  => 'Read More',
				'service_button_url'   => '#',
				'service_button_color' => agency_get_settings( 'primary_color_scheme' ),
				'service_gradient'     => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#ffffff',
						'to'        => '#ffffff',
						'direction' => '0deg',
					),
					'parallax' => '0',
				),
				'service_list_margin'  => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'service_list_padding' => array(
					'top'    => '53px',
					'right'  => '63px',
					'bottom' => '49px',
					'left'   => '63px',
				),
			),
			'2' => array(
				'group_title'          => '2',
				'group_sort'           => '2',
				'service_icon'         => 'lightbulb-o',
				'service_icon_color'   => '#ffffff',
				'service_title'        => 'Branding Identity',
				'service_title_color'  => '#ffffff',
				'service_text'         => 'Stop tearing your hair out over seemingly incomprehensible analytics reports. We’ll set them up for you the right way.',
				'service_text_color'   => '#ffffff',
				'service_button_text'  => 'Read More',
				'service_button_url'   => '#',
				'service_button_color' => '#ffffff',
				'service_gradient'     => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#fe6261',
						'to'        => '#f9763c',
						'direction' => '131deg',
					),
					'parallax' => '0',
				),
				'service_list_margin'  => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'service_list_padding' => array(
					'top'    => '59px',
					'right'  => '63px',
					'bottom' => '79px',
					'left'   => '63px',
				),
			),
			'3' => array(
				'group_title'          => '3',
				'group_sort'           => '3',
				'service_icon'         => 'object-ungroup',
				'service_icon_color'   => agency_get_settings( 'primary_color_scheme' ),
				'service_title'        => 'User Interface Design',
				'service_title_color'  => '#172b4d',
				'service_text'         => 'Stop tearing your hair out over seemingly incomprehensible analytics reports. We’ll set them up for you the right way.',
				'service_text_color'   => '#6c798f',
				'service_button_text'  => 'Read More',
				'service_button_url'   => '#',
				'service_button_color' => agency_get_settings( 'primary_color_scheme' ),
				'service_gradient'     => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#ffffff',
						'to'        => '#ffffff',
						'direction' => '0deg',
					),
					'parallax' => '0',
				),
				'service_list_margin'  => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'service_list_padding' => array(
					'top'    => '53px',
					'right'  => '63px',
					'bottom' => '49px',
					'left'   => '63px',
				),
			),
		),
	),

	array(
		'id'    => 'services_list_title_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Services Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Services Title',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '20px',
			'margin-top'    => '39px',
			'margin-bottom' => '0px',
			'css-selectors' => '.services-section h3',
		),
	),
	array(
		'id'    => 'services_list_text_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Services Text Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Services Text',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '25px',
			'margin-top'     => '5px',
			'margin-bottom'  => '0px',
			'additional-css' => 'letter-spacing: -0.5px;',
			'css-selectors'  => '.services-section p',
		),
	),

	array(
		'id'    => 'services_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Services Styling Settings', 'agency' ),
	),

	array(
		'id'       => 'services_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Services Section Background', 'agency' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/services-bg.png',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center center',
			'size'          => '',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'services_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set services section margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '50px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'services_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set services section padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '152px',
			'left'   => '0',
		),
	),

);
