<?php
/**
 * HomePage Table Section
 *
 * @package Agency
 */

$menus['homepage']['child']['homepage-table'] = array(
	'title' => esc_html__( 'Table', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Table Section.', 'agency' ),
);

$table_list = join(
	PHP_EOL,
	[
		'Total Users',
		'Unlimited Styles',
		'24/7 Customer Service',
	]
);

$sections['homepage-table'] = array(

	array(
		'id'    => 'table_top_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Table Heading Settings', 'agency' ),
	),

	array(
		'id'       => 'table_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Small Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter title for table section.', 'agency' ),
		'std'      => 'Pricing',
	),

	array(
		'id'       => 'table_main_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for table section.', 'agency' ),
		'std'      => 'Checkout Our Price Plan',
	),

	array(
		'id'       => 'table_big_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Big Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for table section.', 'agency' ),
		'std'      => 'Pricing',
	),

	array(
		'id'       => 'table_desc',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Description', 'agency' ),
		'sub_desc' => esc_html__( 'Enter description for table section.', 'agency' ),
		'std'      => 'Also people love our app for these wonderfull and efficient features which give the user a complete freedom.',
	),

	array(
		'id'    => 'table_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Table Settings', 'agency' ),
	),

	array(
		'id'        => 'table_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Table', 'agency' ),
		'sub_desc'  => esc_html__( 'Customize the Table from here.', 'agency' ),
		'groupname' => esc_html__( 'Table', 'agency' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'table_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'agency' ),
			),
			array(
				'id'    => 'table_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Title Color', 'agency' ),
			),
			array(
				'id'    => 'table_price',
				'type'  => 'text',
				'title' => esc_html__( 'Price', 'agency' ),
			),
			array(
				'id'    => 'table_price_color',
				'type'  => 'color',
				'title' => esc_html__( 'Price Color', 'agency' ),
			),
			array(
				'id'       => 'table_price_validity',
				'type'     => 'text',
				'title'    => esc_html__( 'Price Validity', 'agency' ),
				'sub_desc' => esc_html__( 'eg. per month, per year, special offer etc.', 'agency' ),
			),
			array(
				'id'       => 'table_text',
				'type'     => 'textarea',
				'title'    => esc_html__( 'Table Text', 'lawyer' ),
				'sub_desc' => esc_html__( 'Set table text from here. One item per line.', 'lawyer' ),
			),
			array(
				'id'    => 'table_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Table List Color', 'agency' ),
			),
			array(
				'id'    => 'table_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'agency' ),
			),
			array(
				'id'    => 'table_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'agency' ),
			),
			array(
				'id'       => 'table_gradient',
				'type'     => 'background',
				'title'    => esc_html__( 'Background', 'agency' ),
				'sub_desc' => esc_html__( 'Set background from here.', 'agency' ),
				'options'  => array(
					'color'         => false,            // false to disable, not needed otherwise.
					'image_pattern' => false, // false to disable, array of options otherwise ( required !!! ).
					'image_upload'  => false,            // false to disable, not needed otherwise.
					'repeat'        => false,       // false to disable, array of options to override default ( optional ).
					'attachment'    => false,       // false to disable, array of options to override default ( optional ).
					'position'      => false,       // false to disable, array of options to override default ( optional ).
					'size'          => false,       // false to disable, array of options to override default ( optional ).
					'gradient'      => '',            // false to disable, not needed otherwise.
					'parallax'      => false,       // false to disable, array of options to override default ( optional ).
				),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'          => '1',
				'group_sort'           => '1',
				'table_title'          => 'Starter',
				'table_title_color'    => '#fe6261',
				'table_price'          => '$123',
				'table_price_color'    => '#172b4d',
				'table_price_validity' => 'Per Month',
				'table_text'           => $table_list,
				'table_text_color'     => '#505f79',
				'table_button_text'    => 'Sign Up Now',
				'table_button_url'     => '#',
				'table_gradient'       => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#ffffff',
						'to'        => '#ffffff',
						'direction' => '0deg',
					),
					'parallax' => '0',
				),
			),
			'2' => array(
				'group_title'          => '2',
				'group_sort'           => '2',
				'table_title'          => 'Professional',
				'table_title_color'    => '#ffffff',
				'table_price'          => '$123',
				'table_price_color'    => '#ffffff',
				'table_price_validity' => 'Per Month',
				'table_text'           => $table_list,
				'table_text_color'     => '#ffffff',
				'table_button_text'    => 'Sign Up Now',
				'table_button_url'     => '#',
				'table_gradient'       => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#49394e',
						'to'        => '#505f79',
						'direction' => '-60deg',
					),
					'parallax' => '0',
				),
			),
			'3' => array(
				'group_title'          => '3',
				'group_sort'           => '3',
				'table_title'          => 'Business',
				'table_title_color'    => '#fe6261',
				'table_price'          => '$123',
				'table_price_color'    => '#172b4d',
				'table_price_validity' => 'Per Month',
				'table_text'           => $table_list,
				'table_text_color'     => '#505f79',
				'table_button_text'    => 'Sign Up Now',
				'table_button_url'     => '#',
				'table_gradient'       => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#ffffff',
						'to'        => '#ffffff',
						'direction' => '0deg',
					),
					'parallax' => '0',
				),
			),
		),
	),

	array(
		'id'    => 'table_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'agency' ),
	),

	array(
		'id'    => 'table_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Small Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Pricing',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '68px',
			'color'          => '#fe6261',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.table-section header .small-title',
		),
	),
	array(
		'id'    => 'table_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Checkout Our Price Plan',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '27px',
			'color'         => '#172b4d',
			'css-selectors' => '.table-section header h2',
		),
	),
	array(
		'id'    => 'table_big_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Big Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Pricing',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '900',
			'font-size'      => '80px',
			'color'          => '#ebecf0',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.table-section header .big-title',
		),
	),
	array(
		'id'    => 'table_desc_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Description Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Also people love our app for these wonderfull and efficient features which give the user a complete freedom.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '25px',
			'margin-top'    => '37px',
			'color'         => '#6c798f',
			'css-selectors' => '.table-section header .description',
		),
	),

	array(
		'id'    => 'table_list_title_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Table Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Starter',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '20px',
			'css-selectors' => '.table-section .table-heading',
		),
	),
	array(
		'id'    => 'table_list_price_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Table Price Font', 'agency' ),
		'std'   => array(
			'preview-text'  => '$123',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '27px',
			'margin-top'    => '36px',
			'css-selectors' => '.table-section .price',
		),
	),
	array(
		'id'    => 'table_list_text_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Table Text Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Total Users<br>Unlimited Styles<br>24/7 Customer Service',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '38px',
			'margin-top'    => '2px',
			'css-selectors' => '.table-section .validity, .table-section .table-text',
		),
	),

	array(
		'id'    => 'table_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Table Styling Settings', 'agency' ),
	),

	array(
		'id'       => 'table_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Table Section Background', 'agency' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'table_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set table section margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '26px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'table_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set table section padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '136px',
			'left'   => '0',
		),
	),

);
