<?php
/**
 * HomePage Team Section
 *
 * @package Agency
 */

$menus['homepage']['child']['homepage-team'] = array(
	'title' => esc_html__( 'Client and Team', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Client and Team Section.', 'agency' ),
);

$sections['homepage-team'] = array(

	array(
		'id'    => 'client_team_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Client and Team Section Settings', 'agency' ),
	),

	array(
		'id'       => 'client_team_background_switch',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Background Options', 'agency' ),
		'sub_desc' => esc_html__( 'Choose background options for Client and Team sections or both.', 'agency' ),
		'options'  => array(
			'single' => esc_html__( 'Single Background', 'agency' ),
			'both'   => esc_html__( 'Separate Options', 'agency' ),
		),
		'std'      => 'single',
	),
	array(
		'id'         => 'client_team_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Client and Team Section Background', 'agency' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/team-bg.png',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => '',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'client_team_background_switch',
				'value'      => 'single',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'client_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Client Section Background', 'agency' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => agency_get_settings( 'primary_color_scheme' ),
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'client_team_background_switch',
				'value'      => 'both',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'team_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Team Section Background', 'agency' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'agency' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => agency_get_settings( 'primary_color_scheme' ),
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'client_team_background_switch',
				'value'      => 'both',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'client_team_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Client and Team Section Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set client and team section margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'client_team_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Client and Team Section Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set client and team section padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '200px',
			'right'  => '0',
			'bottom' => '186px',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'client_top_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Client Heading Settings', 'agency' ),
	),

	array(
		'id'       => 'client_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Small Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter title for client section.', 'agency' ),
		'std'      => 'Client',
	),

	array(
		'id'       => 'client_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for client section.', 'agency' ),
		'std'      => 'Our customers loves us',
	),

	array(
		'id'       => 'client_big_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Big Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for client section.', 'agency' ),
		'std'      => 'Client',
	),

	array(
		'id'    => 'testimonials_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Testimonials Settings', 'agency' ),
	),

	array(
		'id'        => 'testimonials',
		'type'      => 'group',
		'title'     => esc_html__( 'Testimonials', 'agency' ),
		'sub_desc'  => esc_html__( 'Customize the Testimonials from here.', 'agency' ),
		'groupname' => esc_html__( 'Testimonial', 'agency' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'author_name',
				'type'  => 'text',
				'title' => esc_html__( 'Author Name', 'agency' ),
			),
			array(
				'id'    => 'author_designation',
				'type'  => 'text',
				'title' => esc_html__( 'Author Designation', 'agency' ),
			),
			array(
				'id'       => 'author_pic',
				'type'     => 'upload',
				'title'    => esc_html__( 'Author Image', 'agency' ),
				'sub_desc' => esc_html__( 'Recommended Size: 120 X 120 in pixel.', 'agency' ),
				'return'   => 'url',
			),
			array(
				'id'    => 'author_content',
				'type'  => 'textarea',
				'title' => esc_html__( 'Author Content', 'agency' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'        => '1',
				'group_sort'         => '1',
				'author_name'        => 'Bobby Kim',
				'author_designation' => 'Senior Developer',
				'author_content'     => 'Businesses often become known today through effective marketing. The marketing may be in the form of a regular news.',
				'author_pic'         => get_template_directory_uri() . '/images/testimonial1.png',
			),
			'2' => array(
				'group_title'        => '2',
				'group_sort'         => '2',
				'author_name'        => 'Bobby Kim',
				'author_designation' => 'Senior Developer',
				'author_content'     => 'Businesses often become known today through effective marketing. The marketing may be in the form of a regular news.',
				'author_pic'         => get_template_directory_uri() . '/images/testimonial1.png',
			),
			'3' => array(
				'group_title'        => '3',
				'group_sort'         => '3',
				'author_name'        => 'Bobby Kim',
				'author_designation' => 'Senior Developer',
				'author_content'     => 'Businesses often become known today through effective marketing. The marketing may be in the form of a regular news.',
				'author_pic'         => get_template_directory_uri() . '/images/testimonial1.png',
			),
		),
	),

	array(
		'id'       => 'client_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Client Section Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set client section padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '105px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'client_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Client Typography Settings', 'agency' ),
	),

	array(
		'id'    => 'client_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Small Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Client',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '68px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.client-section header .small-title',
		),
	),
	array(
		'id'    => 'client_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Our customers loves us',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '26px',
			'color'         => '#ffffff',
			'css-selectors' => '.client-section header h2',
		),
	),
	array(
		'id'    => 'client_big_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Big Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Client',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '900',
			'font-size'      => '80px',
			'color'          => '#fa9786',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.client-section header .big-title',
		),
	),

	array(
		'id'    => 'author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Name Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Bobby Kim',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'margin-bottom' => '0px',
			'color'         => '#172b4d',
			'css-selectors' => '.author-details h3',
		),
	),
	array(
		'id'    => 'author_designation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Designation Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Senior Developer',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#fe6261',
			'css-selectors' => '.author-details .author-designation',
		),
	),
	array(
		'id'    => 'author_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Content Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Businesses often become known today through effective marketing. The marketing may be in the form of a regular news.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '300',
			'font-size'     => '27px',
			'line-height'   => '45px',
			'margin-top'    => '38px',
			'margin-bottom' => '0px',
			'color'         => '#172b4d',
			'css-selectors' => '.testimonials p.testimonial',
		),
	),

	array(
		'id'   => 'client_divider',
		'type' => 'divide',
	),

	array(
		'id'    => 'team_top_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Team Heading Settings', 'agency' ),
	),

	array(
		'id'       => 'team_small_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Small Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter title for team section.', 'agency' ),
		'std'      => 'Team Member',
	),

	array(
		'id'       => 'team_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for team section.', 'agency' ),
		'std'      => 'We have some awesome people',
	),

	array(
		'id'       => 'team_big_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Big Title', 'agency' ),
		'sub_desc' => esc_html__( 'Enter content for team section.', 'agency' ),
		'std'      => 'Team',
	),

	array(
		'id'    => 'team_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Teams Settings', 'agency' ),
	),

	array(
		'id'        => 'teams_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Teams', 'agency' ),
		'sub_desc'  => esc_html__( 'Customize the Teams from here.', 'agency' ),
		'groupname' => esc_html__( 'Team Member', 'agency' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'member_name',
				'type'  => 'text',
				'title' => esc_html__( 'Member Name', 'agency' ),
			),
			array(
				'id'    => 'member_designation',
				'type'  => 'text',
				'title' => esc_html__( 'Member Designation', 'agency' ),
			),
			array(
				'id'       => 'member_pic',
				'type'     => 'upload',
				'title'    => esc_html__( 'Member Image', 'agency' ),
				'sub_desc' => esc_html__( 'Recommended Size: 135 X 135 in pixel.', 'agency' ),
				'return'   => 'url',
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'        => '1',
				'group_sort'         => '1',
				'member_name'        => 'Mike Hamilton',
				'member_designation' => 'Senior Developer',
				'member_pic'         => get_template_directory_uri() . '/images/team1.png',
			),
			'2' => array(
				'group_title'        => '2',
				'group_sort'         => '2',
				'member_name'        => 'Winifred Ramirez',
				'member_designation' => 'Senior Developer',
				'member_pic'         => get_template_directory_uri() . '/images/team2.png',
			),
			'3' => array(
				'group_title'        => '3',
				'group_sort'         => '3',
				'member_name'        => 'Lucinda Bennett',
				'member_designation' => 'Senior Developer',
				'member_pic'         => get_template_directory_uri() . '/images/team3.png',
			),
			'4' => array(
				'group_title'        => '4',
				'group_sort'         => '4',
				'member_name'        => 'Francis Lynch',
				'member_designation' => 'Senior Developer',
				'member_pic'         => get_template_directory_uri() . '/images/team4.png',
			),
		),
	),

	array(
		'id'       => 'team_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Team Section Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set team section padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '128px',
			'right'  => '0',
			'bottom' => '120',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'team_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Team Section Typography Settings', 'agency' ),
	),

	array(
		'id'    => 'team_small_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Small Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Team Member',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '68px',
			'margin-bottom'  => '2px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.team-section header .small-title',
		),
	),
	array(
		'id'    => 'team_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'We have some awesome people',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '26px',
			'color'         => '#ffffff',
			'css-selectors' => '.team-section header h2',
		),
	),
	array(
		'id'    => 'team_big_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Big Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Team',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '900',
			'font-size'      => '80px',
			'color'          => '#fa9786',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.team-section header .big-title',
		),
	),
	array(
		'id'    => 'member_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Member Name Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Mike Hamilton',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'margin-top'    => '18px',
			'margin-bottom' => '0px',
			'color'         => '#ffffff',
			'css-selectors' => '.member-details h3',
		),
	),
	array(
		'id'    => 'member_designation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Member Designation Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Senior Developer',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '300',
			'font-size'     => '14px',
			'margin-top'    => '-2px',
			'margin-bottom' => '0px',
			'color'         => '#ffffff',
			'css-selectors' => '.member-details .member-designation',
		),
	),

);
