<?php
/**
 * Single Comments
 *
 * @package Agency
 */

$menus['single-comments'] = array(
	'icon'  => 'fa-comment-o',
	'title' => esc_html__( 'Comments Section', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Comments box in single posts page.', 'agency' ),
);

$author_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'author_comment',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-comments'] = array(

	array(
		'id'    => 'comments_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'General Settings', 'agency' ),
	),

	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'agency' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'agency' ),
		'std'      => '1',
	),

	array(
		'id'       => 'comments_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set Comments box margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '30px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set Comments box padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '40px',
			'right'  => '0',
			'bottom' => '20px',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'comments_list_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'List Settings', 'agency' ),
	),

	array(
		'id'       => 'comments_list_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Image Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set image margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '32px',
			'bottom' => '10px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_list_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Comment Image Border Radius', 'agency' ),
		'sub_desc' => esc_html__( 'Set comment image border radius from here.', 'agency' ),
		'std'      => '50',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'comments_list_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Comment Border', 'agency' ),
		'sub_desc' => esc_html__( 'Manage comment list border from here.', 'agency' ),
	),
	array(
		'id'       => 'comments_list_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Comment Margin', 'agency' ),
		'sub_desc' => esc_html__( 'Set Comments margin from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '39px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_list_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Comment Padding', 'agency' ),
		'sub_desc' => esc_html__( 'Set Comments padding from here.', 'agency' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'    => 'comments_author_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Comments Settings', 'agency' ),
	),

	array(
		'id'       => 'author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'agency' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'agency' ),
		'std'      => '1',
	),
	array(
		'id'         => 'author_comment_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Author Comment Background', 'agency' ),
		'sub_desc'   => esc_html__( 'Use this option to change background color.', 'agency' ),
		'std'        => '#fafbfc',
		'dependency' => $author_dependency,
	),
	array(
		'id'         => 'comments_list_author_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Author Comment Padding', 'agency' ),
		'sub_desc'   => esc_html__( 'Set author comments padding from here.', 'agency' ),
		'std'        => array(
			'top'    => '18px',
			'right'  => '20px',
			'bottom' => '32px',
			'left'   => '29px',
		),
		'dependency' => $author_dependency,
	),

	array(
		'id'    => 'comments_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Comments Typography Settings', 'agency' ),
	),

	array(
		'id'    => 'comments_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Title Font', 'agency' ),
		'std'   => array(
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'color'          => '#fe6261',
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '#comments .fn',
		),
	),
	array(
		'id'    => 'comments_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Meta Info Font', 'agency' ),
		'std'   => array(
			'preview-text'  => '4 Months Ago',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#505f79',
			'css-selectors' => '#comments .ago',
		),
	),
	array(
		'id'    => 'comments_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Text Font', 'agency' ),
		'std'   => array(
			'preview-text'  => 'Comments Text',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '25px',
			'color'         => '#505f79',
			'css-selectors' => '.commentmetadata .commenttext p',
		),
	),
);
