<?php
/**
 * Single Tab
 *
 * @package Agency
 */

$menus['single-general'] = array(
	'icon'  => 'fa-file-o',
	'title' => esc_html__( 'General', 'agency' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'agency' ),
);

$sections['single-general'] = array(

	array(
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'agency' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'agency' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'agency' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'agency' ),
		'options'  => array(
			'enabled'  => array(
				'content' => array(
					'label'     => esc_html__( 'Post Content', 'agency' ),
					'subfields' => array(),
				),
				'tags'    => array(
					'label'     => esc_html__( 'Tags', 'agency' ),
					'subfields' => array(),
				),
				'author'  => array(
					'label'     => esc_html__( 'Author Box', 'agency' ),
					'subfields' => array(),
				),
				'related' => array(
					'label'     => esc_html__( 'Related Posts', 'agency' ),
					'subfields' => array(
						array(
							'id'       => 'related_post_title',
							'type'     => 'text',
							'title'    => esc_html__( 'Related Posts Title', 'agency' ),
							'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'agency' ),
							'std'      => 'Related Stories',
						),
						array(
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'agency' ),
							'options'  => array(
								'tags'       => esc_html__( 'Tags', 'agency' ),
								'categories' => esc_html__( 'Categories', 'agency' ),
							),
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'agency' ),
							'std'      => 'categories',
						),
					),
				),
			),
			'disabled' => array(
				'subscribe' => array(
					'label'     => esc_html__( 'Subscribe Box', 'agency' ),
					'subfields' => array(),
				),
			),
		),
	),

	array(
		'id'       => 'mts_single_headline_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Meta Info', 'agency' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on single page', 'agency' ),
		'options'  => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'user-o',
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'calendar',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'folder-o',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'user-o',
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'calendar',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'folder-o',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'agency' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'agency' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
	),

);
