<?php
/**
 * Homepage Section - Counter
 *
 * @package Agency
 */

$count        = 0;
$counter_list = agency_get_settings( 'counter_list' );
$small_title  = agency_get_settings( 'counter_small_title' );
$title        = agency_get_settings( 'counter_title' );
$content      = agency_get_settings( 'counter_content' );
$button_text  = agency_get_settings( 'counter_button_text' );
$button_url   = agency_get_settings( 'counter_button_url' );

if ( empty( $counter_list ) && ! is_array( $counter_list ) && empty( $small_title ) && empty( $title ) && empty( $content ) && empty( $button_text ) && empty( $button_url ) ) {
	return;
}
?>

<section class="counter-section">

	<div class="container clearfix">

		<div class="left">

		<?php

		if ( $counter_list && is_array( $counter_list ) ) {

			echo '<ul class="counter-wrapper">';

			foreach ( $counter_list as $counter ) {

				printf(
					'<li class="counter-%1$s"><div class="counter-wrap"><div class="counter-number">%2$s<span>%3$s<span></div><h4 class="small-text">%4$s</h4></div></li>',
					++$count,
					$counter['counter_prefix'],
					$counter['counter_number'],
					$counter['counter_text']
				);

			}

			echo '</ul>';

		}

		?>

		</div><!-- .left -->

		<div class="right">
			<?php
			if ( ! empty( $small_title ) ) {
				echo '<div class="small-title">' . $small_title . '</div>';
			}
			if ( ! empty( $title ) ) {
				echo '<h2>' . $title . '</h2>';
			}
			if ( ! empty( $content ) ) {
				echo '<p>' . $content . '</p>';
			}
			if ( ! empty( $button_text ) && ! empty( $button_url ) ) {
				printf( '<a class="button" href="%1$s">%2$s</a>', $button_url, $button_text );
			}
			?>
		</div><!-- .right -->

	</div><!-- .container -->

</section>
