<?php
/**
 * Homepage Section - Feature
 *
 * @package Agency
 */

$count    = 0;
$features = agency_get_settings( 'feature_list' );

if ( empty( $features ) && ! is_array( $features ) ) {
	return;
}
?>

<section class="feature-section">

	<div class="container clearfix">

		<?php

		echo '<ul>';

		if ( $features && is_array( $features ) ) {

			foreach ( $features as $feature ) {

				echo '<li class="' . $feature['feature_alignment'] . ' feature-' . ++$count . ' clearfix">';

				$title = ! empty( $feature['feature_small_title'] ) ? $feature['feature_small_title'] : '';
				
				if ( ! empty( $feature['feature_image'] ) ) {
					echo '<div class="feature-img"><img src="' . $feature['feature_image'] . '" title ="' . $title . '" alt ="' . $title . '" loading = "lazy" /></div>';
				}

				echo '<div class="content-area content-' . $feature['feature_alignment'] . '">';

				if ( ! empty( $feature['feature_small_title'] ) ) {
					echo '<div class="small-title">' . $feature['feature_small_title'] . '</div>';
				}
				if ( ! empty( $feature['feature_title'] ) ) {
					echo '<h2>' . $feature['feature_title'] . '</h2>';
				}
				if ( ! empty( $feature['feature_content'] ) ) {
					echo '<p>' . $feature['feature_content'] . '</p>';
				}
				if ( ! empty( $feature['feature_button_text'] ) && ! empty( $feature['feature_button_url'] ) ) {

					echo '<div class="button-wrap">';

					if ( 'video' === $feature['feature_button_type'] && ! empty( $feature['feature_youtube_id'] ) ) {
						global $wp_embed;
						$url       = 'http://www.youtube.com/watch?v=' . $feature['feature_youtube_id'];
						$play_icon = '<div class="play-button-wrap"><div class="play-icon"><span></span></div></div>';
						printf(
							'<a class="youtube-popup play-button" href="%1$s">%2$s<span class="button-text">%3$s</span></a>',
							$url,
							$play_icon,
							$feature['feature_button_text']
						);
					} else {
						printf(
							'<a class="button" href="%1$s">%2$s</a>',
							$feature['feature_button_url'],
							$feature['feature_button_text']
						);
					}

					echo '</div>';

				}

				echo '</div>';

				echo '</li>';

			}
		}

		echo '</ul>';
		?>

	</div><!-- .container -->

</section>
