<?php
/**
 * Homepage Section - Featured
 *
 * @package Agency
 */

$img         = agency_get_settings( 'featured_image' );
$title       = agency_get_settings( 'featured_title' );
$content     = agency_get_settings( 'featured_content' );
$button_text = agency_get_settings( 'featured_button_text' );
$button_url  = agency_get_settings( 'featured_button_url' );

if ( empty( $img ) && empty( $title ) && empty( $content ) && empty( $button_text ) && empty( $button_url ) ) {
	return;
}
?>

<section class="featured-section">

	<div class="container clearfix">

		<div class="left">
			<?php
			if ( ! empty( $title ) ) {
				echo '<h2>' . $title . '</h2>';
			}
			if ( ! empty( $content ) ) {
				echo '<p>' . $content . '</p>';
			}
			if ( ! empty( $button_text ) && ! empty( $button_url ) ) {
				printf( '<a class="button" href="%1$s">%2$s</a>', $button_url, $button_text );
			}
			?>
		</div>

		<?php
		if ( ! empty( $img ) ) {
			$title = ! empty( $title ) ? $title : '';
			echo '<div class="featured-img"><img src="' . $img . '" title ="' . $title . '" alt ="' . $title . '" loading = "lazy" /></div>';
		}
		?>

	</div><!-- .container -->

</section>
