<?php
/**
 * Homepage Section - Services
 *
 * @package Agency
 */

$i           = 0;
$small_title = agency_get_settings( 'services_small_title' );
$title       = agency_get_settings( 'services_title' );
$big_title   = agency_get_settings( 'services_big_title' );
$services    = agency_get_settings( 'services_list' );

if ( empty( $small_title ) && empty( $title ) && empty( $big_title ) && empty( $services ) && ! is_array( $services ) ) {
	return;
}
?>

<section class="services-section clearfix">

	<div class="container">

		<header>
			<?php
			if ( ! empty( $small_title ) ) {
				echo '<div class="small-title">' . $small_title . '</div>';
			}
			if ( ! empty( $big_title ) ) {
				echo '<div class="big-title">' . $big_title . '</div>';
			}
			if ( ! empty( $title ) ) {
				echo '<h2>' . $title . '</h2>';
			}
			?>
		</header>

		<?php
		if ( $services && is_array( $services ) ) {

			// Services lists.
			echo '<div class="services-lists">';

			echo '<ul class="services-wrap">';
			foreach ( $services as $service ) {
				printf(
					'<li class="service-%1$s"><div class="service-icon"><i class="fa fa-%2$s"></i></div><div class="service-content"><h3>%3$s</h3><p>%4$s</p><div class="button-wrap"><a href="%5$s">%6$s<i class="fa fa-chevron-right"></i></a></div></div></li>',
					++$i,
					$service['service_icon'],
					$service['service_title'],
					$service['service_text'],
					$service['service_button_url'],
					$service['service_button_text']
				);
			}
			echo '</ul>';

			echo '</div>';

		}
		?>

	</div><!-- .container -->

</section>
