<?php
/**
 * Homepage Section - Table
 *
 * @package Agency
 */

$i           = 0;
$small_title = agency_get_settings( 'table_small_title' );
$title       = agency_get_settings( 'table_main_title' );
$big_title   = agency_get_settings( 'table_big_title' );
$desc        = agency_get_settings( 'table_desc' );
$table_list  = agency_get_settings( 'table_list' );

if ( empty( $small_title ) && empty( $title ) && empty( $big_title ) && empty( $desc ) && empty( $table ) && ! is_array( $table ) ) {
	return;
}
?>

<section class="table-section clearfix">

	<div class="container">

		<header>
			<?php
			if ( ! empty( $small_title ) ) {
				echo '<div class="small-title">' . $small_title . '</div>';
			}
			if ( ! empty( $big_title ) ) {
				echo '<div class="big-title">' . $big_title . '</div>';
			}
			if ( ! empty( $title ) ) {
				echo '<h2>' . $title . '</h2>';
			}
			if ( ! empty( $desc ) ) {
				echo '<div class="description">' . $desc . '</div>';
			}
			?>
		</header>

		<?php
		if ( $table_list && is_array( $table_list ) ) {

			// Table lists.
			echo '<div class="table-lists">';

			echo '<ul class="table-wrap">';
			foreach ( $table_list as $table ) {
				printf(
					'<li class="table-%1$s">
						<div class="table-heading">%2$s</div>
						<div class="price">%3$s</div>
						<div class="validity">%4$s</div>
						<div class="table-text">%5$s</div>
						<a href="%6$s" class="button">%7$s</a>
					</li>',
					++$i,
					$table['table_title'],
					$table['table_price'],
					$table['table_price_validity'],
					wpautop( $table['table_text'] ),
					$table['table_button_url'],
					$table['table_button_text']
				);
			}
			echo '</ul>';

			echo '</div>';

		}
		?>

	</div><!-- .container -->

</section>
