<?php
/**
 * Homepage Section - Team
 *
 * @package Agency
 */

$client_small_title = agency_get_settings( 'client_small_title' );
$client_title       = agency_get_settings( 'client_title' );
$client_big_title   = agency_get_settings( 'client_big_title' );
$testimonials       = agency_get_settings( 'testimonials' );

$team_small_title = agency_get_settings( 'team_small_title' );
$team_title       = agency_get_settings( 'team_title' );
$team_big_title   = agency_get_settings( 'team_big_title' );
$teams            = agency_get_settings( 'teams_list' );

if ( empty( $client_small_title ) && empty( $client_title ) && empty( $client_big_title ) && empty( $testimonials ) && ! is_array( $testimonials ) ) {
	return;
}
?>

<div class="client-team-sections clearfix">

	<!-- Client Section -->
	<section class="client-section clearfix">

		<div class="container">

			<header>
				<?php
				if ( ! empty( $client_small_title ) ) {
					echo '<div class="small-title">' . $client_small_title . '</div>';
				}
				if ( ! empty( $client_big_title ) ) {
					echo '<div class="big-title">' . $client_big_title . '</div>';
				}
				if ( ! empty( $client_title ) ) {
					echo '<h2>' . $client_title . '</h2>';
				}
				?>
			</header>

			<?php

			if ( $testimonials && is_array( $testimonials ) ) {

				// Testimonials lists.
				echo '<div class="testimonials">';

				echo '<ul class="testimonials-container owl-carousel owl-theme owl-loaded">';

				foreach ( $testimonials as $testimonial ) {
					printf(
						'<li>
							<div class="author-img"><img src="%1$s" title="%2$s" alt="%2$s" loading="lazy"></div>
							<div class="author-details">
								<h3>%2$s</h3>
								<p class="author-designation">%3$s</p>
							</div>
							<p class="testimonial">%4$s</p>
						</li>',
						$testimonial['author_pic'],
						$testimonial['author_name'],
						$testimonial['author_designation'],
						$testimonial['author_content']
					);
				}

				echo '</ul>';

				echo '</div>';

			}
			?>

		</div><!-- .container -->

	</section>

	<!-- Team Section -->
	<section class="team-section clearfix">

		<div class="container">

			<header>
				<?php
				if ( ! empty( $team_small_title ) ) {
					echo '<div class="small-title">' . $team_small_title . '</div>';
				}
				if ( ! empty( $team_big_title ) ) {
					echo '<div class="big-title">' . $team_big_title . '</div>';
				}
				if ( ! empty( $team_title ) ) {
					echo '<h2>' . $team_title . '</h2>';
				}
				?>
			</header>

			<?php

			if ( $teams && is_array( $teams ) ) {

				// Teams lists.
				echo '<div class="teams-wrapper">';

				echo '<ul class="teams-container">';

				foreach ( $teams as $team ) {
					printf(
						'<li>
							<div class="member-img"><img src="%1$s" title="%2$s" alt="%2$s" loading="lazy"></div>
							<div class="member-details">
								<h3>%2$s</h3>
								<p class="member-designation">%3$s</p>
							</div>
						</li>',
						$team['member_pic'],
						$team['member_name'],
						$team['member_designation']
					);
				}

				echo '</ul>';

				echo '</div>';

			}
			?>

		</div><!-- .container -->

	</section>

</div><!-- .client-team-sections -->
